<form (ngSubmit)="addCandidate()" #form>
  <mat-form-field>
    <input matInput name="name" placeholder="Name" [(ngModel)]="newCandidate.name" required>
    <button disabled mat-button matSuffix mat-icon-button>
      <mat-icon>map</mat-icon>
    </button>
  </mat-form-field>

  <div>
    <button mat-raised-button color="accent" [disabled]="!form.checkValidity()" type="submit">Create</button>
  </div>
</form>
